<%@ page session="false" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://taglibs.requea.com/rq/2005/" prefix="rq"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
	<title>Requea - Configuration</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link href="<%= request.getContextPath() %>/sys/css/portal-2.0.15.css" rel="stylesheet" type="text/css" />
    <link href="<%= request.getContextPath() %>/sys/css/requea-2.0.15.css" rel="stylesheet" type="text/css" />
    <link href="<%= request.getContextPath() %>/sys/css/requea/style.css" rel="stylesheet" type="text/css" />
</head>


<body>
<div id="it">
	<div id="il">
		<div id="inner">
			<div class="rqbanner">
			<rq:insert name="/sys/jsp/top.jsp"/>		
			<rq:insert name="/sys/jsp/mbar.jsp"/>		
			</div>	
			<div class="rqdefaultpage">
				<div class="rqportlet">
					<div class="rqview">
					<rq:error style="error"/>
						<form action="<%= request.getContextPath() %>/config" method="post">
							<h2><span>Requea Database Configuration parameters</span></h2>
							<table cellpadding="10" cellspacing="0" width="100%">
							<tr><td class="lbl"><span class="req">*</span> Database type:</td><td class="val"><rq:config name="dbtype" /></td></tr>
							<tr><td class="lbl"><span class="req">*</span> Database Driver:</td><td class="val"><rq:config name="dbdriver" /></td><td class="cfgnote">driver for mySql is usually <b>com.mysql.jdbc.Driver</b>, for SqlServer is <b>net.sourceforge.jtds.jdbc.Driver</b> and for Oracle it is <b>oracle.jdbc.OracleDriver</b><td></tr>
							<tr><td class="lbl"><span class="req">*</span> Database URL:</td><td class="val"><rq:config name="dburl" /></td><td class="cfgnote">url for mySql is usually <nobr><b>jdbc:mysql://[server]/[database]</b></nobr>, for SqlServer is <nobr><b>jdbc:jtds:sqlserver://[server]:1433;DatabaseName=[database];SelectMethod=Cursor</b></nobr> and for Oracle it is <nobr><b>jdbc:oracle:thin:@[server]:1521:[databaseInstance]</b></nobr><td></tr>
							<tr><td class="lbl"><span class="req">*</span> Database User:</td><td class="val"><rq:config name="dbuser" /></td></tr>
							<tr><td class="lbl"><span class="req">*</span> Database Password:</td><td class="val"><rq:config name="dbpass1" /></td></tr>
							<tr><td class="lbl"><span class="req">*</span> Confirm Database password:</td><td class="val"><rq:config name="dbpass2" /></td></tr>
							</table>
							<br/>
							<table width="100%"><tr><td align="center"><input type="submit" value="Submit" name="submit" /></td></tr></table>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>
